Bug 843767 - Review Request: python-pandas - Python library providing high-performance data analysis tools
Review Request: python-pandas - Python library providing high-performance dat...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 06:03 EDT by kushaldas@gmail.com
Modified: 2015-03-20 11:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 06:13:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2012-07-27 06:03:22 EDT
Spec URL: http://kushal.fedorapeople.org/packages/python-pandas.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-pandas-0.8.1-1.fc17.src.rpm
Description: pandas is an open source, BSD-licensed library providing 
high-performance, easy-to-use data structures and data 
analysis tools for the Python programming language.

Fedora Account System Username: kushal
Comment 1 kushaldas@gmail.com 2012-07-27 06:04:14 EDT
Koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=4335462
Comment 2 Parag AN(पराग) 2012-07-31 05:11:34 EDT
Review:-

+ koji build for f17 is successful -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4344489

+ rpmlint on rpms gave
python-pandas.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/pandas/_period.so _period.so()(64bit)
python-pandas.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/pandas/lib.so lib.so()(64bit)
python-pandas.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/pandas/_sparse.so _sparse.so()(64bit)
python-pandas.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/pandas/_algos.so _algos.so()(64bit)
python-pandas.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/pandas/setup.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

+ Source verified with upstream as (sha1sum)
f54ccf3d28a6b3dff1c7d771f6a3b542e1767051  pandas-0.8.1.tar.gz
f54ccf3d28a6b3dff1c7d771f6a3b542e1767051  ../SOURCES/pandas-0.8.1.tar.gz

+ License is BSD.


suggestions:
1) Replace %define with %global

2) If package is only for Fedora then you can remove buildroot, cleaning of buildroot in %install, %clean section and defattr(-,root,root,-)

3) Add README.rst LICENSE to %docs

4) run tests using

%check
PYTHONPATH=`pwd`/build/lib.linux-x86_64-2.7/ python pandas/tests/test_index.py

5) Add following to silent the rpmlint private-shared-object-provides messages

%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

6) also fix other rpmlint error non-executable-script
Comment 4 Parag AN(पराग) 2012-08-06 01:58:04 EDT
Ah! tests are not running on koji but running well in local build.
you can remove the %check section then

APPROVED.
Comment 5 kushaldas@gmail.com 2012-08-13 06:02:13 EDT
New Package SCM Request
=======================
Package Name: python-pandas
Short Description: Python library providing high-performance data analysis tools
Owners: kushal
Branches: el6 f18 f17
InitialCC: kushal
Comment 6 Gwyn Ciesla 2012-08-13 08:03:11 EDT
Git done (by process-git-requests).
Comment 7 kushaldas@gmail.com 2012-11-19 06:13:00 EST
Closing the bug , it is already in stable.
Comment 8 Steve Traylen 2013-12-17 06:14:54 EST
Hi Kushal,

 Looks like you never built for EPEL6?

 There may well be a reason, I have not checked.

 It would be good for me if it could be added?
Steve.
Comment 9 kushaldas@gmail.com 2013-12-17 06:36:02 EST
It has dependency of Numpy and few other things, which are missing in EPEL6, that is why the build is missing.
Comment 10 John Trowbridge 2015-03-20 11:02:47 EDT
Hi Kushal,

Is it possible to build for EPEL7?

Respectfully,
John Trowbridge

Note You need to log in before you can comment on or make changes to this bug.